'''
Author: Dorad, ddxi@qq.com
Date: 2023-03-27 21:47:20 +02:00
LastEditors: Dorad, ddxi@qq.com
LastEditTime: 2023-03-28 04:39:25 +02:00
FilePath: \setup.py
Description: 

Copyright (c) 2023 by Dorad (ddxi@qq.com), All Rights Reserved.
'''

from setuptools import setup, find_packages
from pathlib import Path

this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text(encoding='utf-8')


setup(
    name='rrrcn',
    version='0.2.0',
    description='A Python package for getting rainfall data from China Meteorological Administration and local meteorological bureaus.',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='Dorad',
    author_email='xxdorad@gmail.com',
    url='https://github.com/Doradx/rrrcn',
    project_urls={
        'Source': 'https://github.com/Doradx/rrrcn',
        'Tracker': 'https://github.com/Doradx/rrrcn/issues',
        'Documentation': 'https://github.com/Doradx/rrrcn/blob/main/README.md'
    },
    packages=find_packages(exclude=['test', 'docs']),
    install_requires=[
        'requests',
    ],
    keywords=['rainfall', 'china', 'river', 'reservoir'],
    classifiers=[
        'Programming Language :: Python :: 3.10',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Operating System :: OS Independent',
        'Topic :: Scientific/Engineering :: Hydrology',
        'Topic :: Scientific/Engineering :: Atmospheric Science',
        'Topic :: Scientific/Engineering :: Information Analysis',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Topic :: Utilities',
    ],
    python_requires='>=3.6',
)